%define _unpackaged_files_terminate_build 1
%define goipath github.com/linuxdeepin/dde-api
%define forgeurl https://github.com/linuxdeepin/dde-api

# Run tests in check section
# disable for bootstrapping
%def_without check

Name: deepin-api
Version: 6.0.9
Release: alt1

Summary: Golang bingding for dde-daemon

License: GPL-3.0+
Group: Graphical desktop/Other
Url: https://github.com/linuxdeepin/dde-api

Source: %url/archive/%version/dde-api-%version.tar.gz
Patch: %name-%version-%release.patch

#Requires: deepin-desktop-base rfkill
#Requires(pre): shadow-utils dbus-tools

BuildRequires(pre): rpm-build-golang rpm-build-python3
BuildRequires: /proc
BuildRequires: libalsa-devel libcairo-devel libgio-devel libgtk+3-devel libgdk-pixbuf-devel libgudev-devel libcanberra-devel libpulseaudio-devel librsvg-devel libpoppler-glib-devel libpolkitqt5-qt5-devel libsystemd-devel libXfixes-devel libXcursor-devel libX11-devel libXi-devel deepin-gettext-tools libgdk-pixbuf-xlib-devel

%description
%summary.

%package -n golang-%name-devel
Summary: %summary
Group: Graphical desktop/Other
AutoReq: no
# BuildArch: noarch

%description -n golang-%name-devel
%summary.

This package contains library source intended for
building other packages which use import path with
%goipath prefix.

%prep
%setup -n dde-api-%version
%patch -p1

%build
export GOPATH="$(pwd)/vendor"
export GOFLAGS="-mod=vendor"
export GO111MODULE=off

%make

%install
export GOPATH="%go_path"

%makeinstall_std SYSTEMD_SERVICE_DIR="%_unitdir" -i

# HOME directory for user deepin-sound-player
mkdir -p %buildroot%_sharedstatedir/deepin-sound-player/.cache/dconf/
touch %buildroot%_sharedstatedir/deepin-sound-player/.cache/dconf/user
install -Dm644 archlinux/deepin-api.sysusers %buildroot/lib/sysusers.d/deepin-api.conf

%files
%doc README.md LICENSE
%_bindir/*
%_libexecdir/deepin-api/*
%_iconsdir/hicolor/??x??/actions/*
%_iconsdir/hicolor/???x???/actions/*
%_iconsdir/hicolor/scalable/actions/*
%_datadir/dbus-1/*
%_datadir/polkit-1/*
%_unitdir/*.service
%_var/lib/polkit-1/*
%_datadir/dde-api/data/*
/lib/sysusers.d/deepin-api.conf
%dir %_sharedstatedir/deepin-sound-player/
%dir %_sharedstatedir/deepin-sound-player/.cache/
%dir %_sharedstatedir/deepin-sound-player/.cache/dconf/
%_sharedstatedir/deepin-sound-player/.cache/dconf/user

%files -n golang-%name-devel
%go_path/src/%goipath

%changelog
* Thu Feb 01 2024 Leontiy Volodin <lvol@altlinux.org> 6.0.9-alt1
- New version 6.0.9.

* Mon Nov 27 2023 Leontiy Volodin <lvol@altlinux.org> 6.0.8-alt1
- New version 6.0.8.
- Updated to API v23.
- Cleanup spec.
- Packed golang modules for deepin-api only.

* Tue Oct 31 2023 Ivan A. Melnikov <iv@altlinux.org> 5.5.32-alt3.2
- NMU: Update vendored golang.org/x/sys to build on loongarch64.

* Wed Feb 15 2023 Ivan A. Melnikov <iv@altlinux.org> 5.5.32-alt3.1
- NMU: avoid spourious dependencies generated by shell.req
  from vendored CI scripts.

* Fri Dec 23 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.32-alt3
- Packed github.com/jouyouyun/hardware for startdde.
- Fixed some permission problems for sound effects.

* Tue Dec 13 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.32-alt2
- Updated golang modules.

* Thu Nov 03 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.32-alt1
- New version (5.5.32).
- Upstream:
  + fix: Repair the dde-open analysis part of url cannot get
  the scheme problem.

* Tue Sep 13 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.31-alt1
- New version (5.5.31).
- Packaged new golang modules for deepin-daemon.
- Updated internal golang modules.

* Thu Sep 01 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.30-alt3
- Packaged golang modules for deepin-daemon.

* Tue Aug 30 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.30-alt2
- Updated internal golang modules.

* Wed Aug 24 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.30-alt1
- New version (5.5.30).

* Mon Apr 11 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.12-alt1
- New version (5.5.12).

* Wed Feb 16 2022 Leontiy Volodin <lvol@altlinux.org> 5.5.5-alt1
- New version (5.5.5).

* Wed Feb 02 2022 Leontiy Volodin <lvol@altlinux.org> 5.4.32-alt1
- New version (5.4.32).
- Built with internal golang submodules.

* Tue May 18 2021 Leontiy Volodin <lvol@altlinux.org> 5.4.6-alt1
- New version (5.4.6) with rpmgs script.

* Tue Apr 27 2021 Leontiy Volodin <lvol@altlinux.org> 5.4.5-alt1
- New version (5.4.5) with rpmgs script.

* Thu Mar 04 2021 Leontiy Volodin <lvol@altlinux.org> 5.4.2-alt1
- New version (5.4.2) with rpmgs script.
- Fixed build with golang 1.16.

* Mon Jan 25 2021 Leontiy Volodin <lvol@altlinux.org> 5.3.2-alt1
- New version (5.3.2) with rpmgs script.

* Thu Dec 10 2020 Leontiy Volodin <lvol@altlinux.org> 5.3.0.14-alt1
- New version (5.3.0.14) with rpmgs script.

* Mon Nov 30 2020 Leontiy Volodin <lvol@altlinux.org> 5.3.0.13-alt1
- New version (5.3.0.13) with rpmgs script.

* Thu Nov 19 2020 Leontiy Volodin <lvol@altlinux.org> 5.3.0.12-alt2
- Fixed BuildRequires.

* Mon Oct 12 2020 Leontiy Volodin <lvol@altlinux.org> 5.3.0.12-alt1
- New version (5.3.0.12) with rpmgs script.

* Fri Sep 11 2020 Leontiy Volodin <lvol@altlinux.org> 5.3.0.11-alt1
- Initial build for ALT Sisyphus (thanks fedora for this spec).
